////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#include "TriangleWidget.h"

gtf::widgetset::AbstractWidget* createTriangleWidget(gtf::widgetset::WidgetContext const& context_, gtf::widgetset::WidgetModel& model_)
{
    return new TriangleWidget(model_, context_);
}

void destroyTriangleWidget(gtf::widgetset::AbstractWidget* widget_)
{
    delete static_cast<TriangleWidget*>(widget_);
}

using namespace gtf;

TriangleWidget::TriangleWidget(gtf::widgetset::WidgetModel&, gtf::widgetset::WidgetContext const&)
{
}

TriangleWidget::~TriangleWidget()
{
}

void TriangleWidget::init(gtf::widgetset::WidgetContext const &)
{
}

void TriangleWidget::prepare(gtf::widgetset::WidgetContext const &)
{
}

void TriangleWidget::cleanup(gtf::widgetset::WidgetContext const &)
{
}
