////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#include "CustomEffectStackFrame.h"

CustomEffectStackFrame::CustomEffectStackFrame()
{
}

CustomEffectStackFrame::~CustomEffectStackFrame()
{
}

void CustomEffectStackFrame::load(gtf::scdr::RenderObjectStackFrame2DValues& valuesOut_) const
{
    valuesOut_.coloration         = &coloration;
    valuesOut_.framebuffer        = framebuffer;
    valuesOut_.framebufferId      = framebufferId;
    valuesOut_.framebuffer2Screen = &framebuffer2Screen;
    valuesOut_.scissor            = &scissor;
    valuesOut_.viewport           = &viewport;
    valuesOut_.viewProjMat        = &viewProjMat;
    valuesOut_.widget2Framebuffer = &widget2Framebuffer;
    valuesOut_.depth              = depth;
}
