////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Elektrobit Automotive GmbH
// Alle Rechte vorbehalten. All Rights Reserved.
//
// Information contained herein is subject to change without notice.
// Elektrobit retains ownership and all other rights in the software and each
// component thereof.
// Any reproduction of the software or components thereof without the prior
// written permission of Elektrobit is prohibited.
////////////////////////////////////////////////////////////////////////////////

#include "RippleEffectWidget.h"

gtf::widgetset::AbstractWidget* createRippleEffect(gtf::widgetset::WidgetContext const& context_, gtf::widgetset::WidgetModel& model_)
{
    return new RippleEffectWidget(model_, context_);
}

void destroyRippleEffect(gtf::widgetset::AbstractWidget* widget_)
{
    delete static_cast<RippleEffectWidget*>(widget_);
}

using namespace gtf;

RippleEffectWidget::RippleEffectWidget(gtf::widgetset::WidgetModel&, gtf::widgetset::WidgetContext const&)
{
}

RippleEffectWidget::~RippleEffectWidget()
{
}

void RippleEffectWidget::init(gtf::widgetset::WidgetContext const &)
{
}

void RippleEffectWidget::prepare(gtf::widgetset::WidgetContext const &)
{
}

void RippleEffectWidget::cleanup(gtf::widgetset::WidgetContext const &)
{
}
